// This file is a part of Framsticks SDK.  http://www.framsticks.com/
// Copyright (C) 1999-2015  Maciej Komosinski and Szymon Ulatowski.
// See LICENSE.txt for details.

#include "loggertostdout.h"
#ifdef SHP
#include <FBaseSys.h> //AppLog
#else
#include <stdio.h>
#endif

void LoggerToStdout::handle(const char *obj, const char *method, int level, const char *msg)
{
	if (level < -1) level = -1; else if (level>3) level = 3;
#ifdef SHP
	AppLog(LOG_FORMAT "\n",LOG_LEVEL[level+1],obj,method,msg);
#else
	if (file)
		file->printf(LOG_FORMAT "\n", LOG_LEVEL[level + 1], obj, method, msg);
	else
		printf(LOG_FORMAT "\n", LOG_LEVEL[level + 1], obj, method, msg);
#endif
}
